net.sf.jasperreports.export

## Class SimpleJxlMetadataExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.AbstractXlsExporterConfiguration
      - - net.sf.jasperreports.export.SimpleXlsMetadataExporterConfiguration
        - - net.sf.jasperreports.export.SimpleJxlMetadataExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, JxlExporterConfiguration, JxlMetadataExporterConfiguration, XlsExporterConfiguration, XlsMetadataExporterConfiguration

  Deprecated.
  To be removed.

      public class SimpleJxlMetadataExporterConfiguration
      extends SimpleXlsMetadataExporterConfiguration
      implements JxlMetadataExporterConfiguration

  Version:
    $Id: SimpleJxlMetadataExporterConfiguration.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.JxlExporterConfiguration

      `PROPERTY_USE_TEMP_FILE`

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `PROPERTY_CREATE_CUSTOM_PALETTE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJxlMetadataExporterConfiguration()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isUseTempFile()` Deprecated. Flag enabling the JExcelApiExporter to use temporary files when creating large documents.
    `void` | `setUseTempFile(java.lang.Boolean isUseTempFile)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.export.AbstractXlsExporterConfiguration

      `getWorkbookTemplate, isCreateCustomPalette, isKeepWorkbookTemplateSheets, setCreateCustomPalette, setKeepWorkbookTemplateSheets, setWorkbookTemplate`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.XlsExporterConfiguration

      `getWorkbookTemplate, isCreateCustomPalette, isKeepWorkbookTemplateSheets`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleJxlMetadataExporterConfiguration

          public SimpleJxlMetadataExporterConfiguration()

      Deprecated.

  - ### Method Detail

    - #### isUseTempFile

          public java.lang.Boolean isUseTempFile()

      Deprecated.
      Description copied from interface: `JxlExporterConfiguration`
      Flag enabling the JExcelApiExporter to use temporary files when creating large documents.
      Specified by:
        `isUseTempFile` in interface `JxlExporterConfiguration`
      See Also:
        `JxlExporterConfiguration.PROPERTY_USE_TEMP_FILE`

    - #### setUseTempFile

          public void setUseTempFile(java.lang.Boolean isUseTempFile)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com